﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.ManageManufacturers, App_Web_managemanufacturers.ascx.54f2e0e1" %>
<link href="module.css" rel="stylesheet" type="text/css" />

<table width="100%" class="SmithProdText">
    <tr><td colspan="2" align="left"><asp:Button ID="btnBack" runat="server" onclick="btnBack_Click" Text="Back"  Width="91px" CausesValidation="false" /></td></tr>
    <tr><td style="height: 15">&nbsp;</td></tr>
    <tr><td colspan="2" class="SmithTitle" align="left">Manage Manufacturers</td></tr>
	<tr><td style="height: 15">&nbsp;</td></tr>
    
    <tr>
        <td colspan="2">
            <asp:GridView ID="grdManufacturers" DataKeyNames="ManufacturerID" AutoGenerateColumns="false" Width="100%" CssClass="cssMain" CellPadding="4"
                runat="server" OnRowDeleting="grdManufacturers_RowDeleting">
                <HeaderStyle CssClass="GridHeader" /> 
                <Columns>
                    <asp:TemplateField ItemStyle-CssClass="GridCells" ItemStyle-HorizontalAlign="Center" HeaderStyle-Width="24px">
                        <ItemTemplate>
                            <asp:LinkButton CausesValidation="false"  ID="lkEditManufacturer" runat="server" Text="Edit" OnClick="lkEditManufacturer" Width="24px"/>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="Manufacturer Name" SortExpression="FirstName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblManufacturerName" runat="server" Text='<%#Eval("ManufacturerName") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="First Name" SortExpression="FirstName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblFirstName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"FirstName")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="Last Name" SortExpression="LastName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblLastName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"LastName")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="Address" SortExpression="Address1" ItemStyle-Wrap="false" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblAddress1" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Address1")%>'></asp:Label>,
                            <asp:Label ID="lblAddress2" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Address2")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="City" SortExpression="City" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblCity" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"City")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                     <asp:TemplateField HeaderText="Country" SortExpression="Country" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblCountry" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Country")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="State/Region" SortExpression="State" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblState" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"State")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="Postal Code" SortExpression="Zip" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblZipCode" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Zip")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                     <asp:TemplateField HeaderText="Contact Name" SortExpression="ContactName" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblContactName" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"ContactName")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                     <asp:TemplateField HeaderText="Email" SortExpression="Email" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblEmail" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Email")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                     <asp:TemplateField HeaderText="Phone" SortExpression="Phone" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblPhone" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Phone")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:TemplateField HeaderText="Fax" SortExpression="Fax" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblFax" runat="server" Text='<%#DataBinder.Eval(Container.DataItem,"Fax")%>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>

                    <asp:CommandField ShowDeleteButton="True" ItemStyle-Width="50px" ItemStyle-CssClass="GridCells"/>
                </Columns>
            </asp:GridView>
        </td>
    </tr>
	<tr><td style="height: 15">&nbsp;</td></tr>
    <tr>
        <td align="left" nowrap="nowrap"><asp:Label ID="lblManufacturerName" runat="server" resourcekey="lblManufacturerName" Text="Manufacturer Name:"/>&nbsp;<span class="SmithRequiredText">*</span></td>
        <td align="left">
            <asp:TextBox ID="txtManufacturerName" runat="server" Width="300px"/>
            <asp:RequiredFieldValidator ID="rfvManufName" runat="server" ControlToValidate="txtManufacturerName" ErrorMessage="Manufacturer Name Required" Display="Dynamic"/>
        </td>
    </tr>

    <tr>
        <td nowrap="nowrap" align="left" valign="top"><asp:Label ID="lblFname" runat="server" resourcekey="lblFirstName" Text="First Name:"/></td>
        <td align="left">
            <asp:TextBox ID="txtFirstName" runat="server"  MaxLength="100" Width="200px" TabIndex="5"/>
            <%--<asp:RequiredFieldValidator ID="rfvFname" runat="server" ControlToValidate="txtFirstName" ErrorMessage="First Name Required" Display="Dynamic"/>--%>
        </td>
    </tr>
    
     <tr align="left" >
        <td nowrap="nowrap" align="left" valign="top"><asp:Label ID="lblLname" runat="server" resourcekey="lblLastName" Text="Last Name:"/></td>
        <td align="left">
            <asp:TextBox ID="txtLastName" runat="server"  MaxLength="100" Width="200px" TabIndex="10"/>
            <%--<asp:RequiredFieldValidator ID="rfvLname" runat="server" ControlToValidate="txtLastName" ErrorMessage="Last Name Required" Display="Dynamic"/>--%>
        </td>
    </tr>

    <tr align="left">
        <td valign="top"><asp:Label ID="lblAddress1" runat="server" resourcekey="lblAddress1" Text="Address:"/></td>
        <td>
            <asp:TextBox ID="txtAddress1" runat="server" MaxLength="100" TabIndex="40" Width="200px"/>
            <%--<asp:RequiredFieldValidator ID="rfvAddress" runat="server" ControlToValidate="txtAddress" ErrorMessage="Address Required" Display="Dynamic"/>--%>
        </td>
    </tr>
    
    <tr align="left">
        <td valign="top" nowrap="nowrap"><asp:Label ID="lblAddress2" runat="server" resourcekey="lblAddress2" Text="Address 2:"/></td>
        <td><asp:TextBox ID="txtAddress2"  Width="200px" runat="server" MaxLength="100" TabIndex="50"/></td>
    </tr>
    
    <tr align="left">
        <td valign="top"><asp:Label ID="lblCity" runat="server" resourcekey="lblCity" Text="City:"/></td>
        <td>
            <asp:TextBox ID="txtCity" runat="server" MaxLength="50" TabIndex="60" Width="200px"/>
            <%--<asp:RequiredFieldValidator ID="rfvCity" runat="server" ControlToValidate="txtCity" Display="Dynamic" ErrorMessage="City Required"/>--%>
        </td>
    </tr>
    
    <tr align="left">
        <td valign="top"><asp:Label ID="Country" runat="server" resourcekey="lblCountry" Text="Country:"/></td>
        <td valign="top">
            <asp:DropDownList ID="ddlCountry" Width="200px" runat="server" OnSelectedIndexChanged="ddlCountry_SelectedIndexChanged" AutoPostBack="True" TabIndex="70">
            </asp:DropDownList>
            <asp:RequiredFieldValidator ID="rfvddlCountry" runat="server" ControlToValidate="ddlCountry" InitialValue="0" Height="18px" Width="56px" CssClass="FlagMsg" ErrorMessage="Country Required" Display="Dynamic"/>
        </td>
    </tr>
    
    <tr align="left">
        <td valign="top"><asp:Label ID="lblState_Region" runat="server" resourcekey="lblState_Region" Text="State:"/></td>
        <td valign="top">
            <asp:DropDownList ID="ddlState" runat="server" TabIndex="80" Width="200px">
            </asp:DropDownList>
            <%--<asp:RequiredFieldValidator ID="rfvState" runat="server" ControlToValidate="ddlState" InitialValue="0" Height="27px" Width="56px" ErrorMessage="State Required" Display="Dynamic"/>--%>
            <asp:TextBox ID="txtState" runat="server" Visible="false" Width="200px" MaxLength="50" TabIndex="90"/>
        </td>
    </tr>
    
    <tr align="left">
        <td valign="top"><asp:Label ID="lblPostalCode" runat="server" resourcekey="lblPostalCode" Text="Postal Code:"/></td>
        <td valign="top">
            <asp:TextBox ID="txtZip" runat="server" MaxLength="10" Width="200px" Columns="10" TabIndex="100"/>
            <%--<asp:RequiredFieldValidator ID="rfvZip" runat="server" ControlToValidate="txtZip" ErrorMessage="Postal Code Required" Display="Dynamic"/>--%>
        </td>
    </tr>
   
     <tr>
        <td nowrap="nowrap" align="left" valign="top"><asp:Label ID="lblIDNumber" runat="server" resourcekey="lblIDNumber" Text="ID Number:"/></td>
        <td align="left">
            <asp:TextBox ID="txtIDNumber" runat="server"  MaxLength="100" Width="200px"/>
            <%--<asp:RequiredFieldValidator ID="rfvIDNumber" runat="server" ControlToValidate="txtIDNumber" ErrorMessage="ID Number Required" Display="Dynamic"/>--%>
        </td>
    </tr>

    <tr>
        <td nowrap="nowrap" align="left" valign="top"><asp:Label ID="lblContactName" runat="server" resourcekey="lblContactName" Text="Contact Name:"/></td>
        <td align="left">
            <asp:TextBox ID="txtContactName" runat="server"  MaxLength="100" Width="200px"/>
            <%--<asp:RequiredFieldValidator ID="rfvContactName" runat="server" ControlToValidate="txtContactName" ErrorMessage="Contact Name Required" Display="Dynamic"/>--%>
        </td>
    </tr>

    <tr>
        <td nowrap="nowrap" align="left" valign="top"><asp:Label ID="lblDescription" runat="server" resourcekey="lblDescription" Text="Description:"/></td>
        <td align="left">
            <asp:TextBox ID="txtDescription" runat="server"  MaxLength="100" Width="200px"/>
            <%--<asp:RequiredFieldValidator ID="rfvDescription" runat="server" ControlToValidate="txtDescription" ErrorMessage="Description Required" Display="Dynamic"/>--%>
        </td>
    </tr>

     <tr>
        <td nowrap="nowrap" align="left" valign="top"><asp:Label ID="lblOccupation" runat="server" resourcekey="lblOccupation" Text="Occupation:"/></td>
        <td align="left">
            <asp:TextBox ID="txtOccupation" runat="server"  MaxLength="100" Width="200px"/>
            <%--<asp:RequiredFieldValidator ID="rfvOccupation" runat="server" ControlToValidate="txtOccupation" ErrorMessage="Occupation Required" Display="Dynamic"/>--%>
        </td>
    </tr>

     
    <tr align="left">
        <td valign="top"><asp:Label ID="lblEmail" runat="server" resourcekey="lblEmail" Text="Email:"/></td>
        <td valign="top">
            <asp:TextBox ID="txtEmail" runat="server" MaxLength="50" Width="250px" TabIndex="110"/>
            <%--<asp:RequiredFieldValidator ID="rfvEmail" runat="server" ControlToValidate="txtEmail" ErrorMessage="Email Required" Display="Dynamic"/>--%>
            <asp:RegularExpressionValidator ID="revEmail" runat="server" ControlToValidate="txtEmail" ErrorMessage="Invalid Email Address."
               Display="Dynamic" ValidationExpression="^[a-zA-Z0-9][\w\.-]*[a-zA-Z0-9]@[a-zA-Z0-9][\w\.-]*[a-zA-Z0-9]\.[a-zA-Z][a-zA-Z\.]*[a-zA-Z]$"/>
        </td>
    </tr>
    
    <tr align="left">
        <td valign="top"><asp:Label ID="lblPhone" runat="server" resourcekey="lblPhone" Text="Phone:"/></td>
        <td valign="top">
            <asp:TextBox ID="txtPhone" runat="server" MaxLength="30" Columns="15" TabIndex="120" Width="200px"/>
            <%--<asp:RequiredFieldValidator ID="rfvPhone" runat="server" ControlToValidate="txtPhone" ErrorMessage="Phone Required" Display="Dynamic"/>--%>
            <asp:RegularExpressionValidator ID="revtxtPhone" runat="server" ErrorMessage="Phone number must be a minumum of 10 characters"
                ValidationExpression=".{10}.*" ControlToValidate="txtPhone" Display="Dynamic"/>
        </td>
    </tr>
    
    <tr align="left">
        <td valign="top"><asp:Label ID="lblFax" runat="server" resourcekey="lblFax" Text="Fax:"/></td>
        <td valign="top"><asp:TextBox ID="txtFax" runat="server" MaxLength="30" Columns="15" TabIndex="130" Width="200px"/></td>
    </tr>

    <tr align="left">
        <td valign="top"><asp:Label ID="lblComments" runat="server" resourcekey="lblComments" Text="Comments:"/></td>
        <td><asp:TextBox ID="txtComments" runat="server" Height="65px" TextMode="MultiLine" Width="512px" TabIndex="170"/></td>
    </tr>

    <tr><td style="height: 10">&nbsp;</td></tr>
    
    <tr>
        <td colspan="2" align="center">
            <asp:Button ID="btnAddManufacturer" runat="server" Text="Add New Manufacturer" OnClick="btnAddManufacturer_Click" Width="175px" />
		</td>
    </tr>
	<tr style="height:20"><td>&nbsp;</td></tr>
    <tr><td colspan="2"><asp:Label ID="lblMessage" runat="server" CssClass="SmithBlueMsgBold" /></td></tr>
    <tr style="height:20"><td>&nbsp;</td></tr>
	
</table>

<asp:HiddenField ID="hdManufacturerID" runat="server" />
