﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.OrderDiscounts, App_Web_orderdiscounts.ascx.54f2e0e1" %>
<link href="module.css" rel="stylesheet" type="text/css" />

<table id="ButtonRow" runat="server" width="100%"><tr><td>
<asp:Button ID="btnAdminMenu" runat="server" Text="Admin Menu" CausesValidation="false" onclick="btnAdminMenu_Click" CssClass="" />&nbsp; 
<asp:Button ID="btnOrderDiscounts" runat="server" Text="Order Discounts" CausesValidation="false" Visible="true" onclick="btnOrderDiscounts_Click" CssClass="" />&nbsp; 
<asp:Button ID="btnPriceClass" runat="server" Text="Price Class Discounts" CausesValidation="false" onclick="btnPriceClass_Click" CssClass="" />&nbsp;
<asp:Button ID="btnCategoryDiscounts" runat="server" Text="Category Discounts" CausesValidation="false" onclick="btnCategoryDiscounts_Click" CssClass="" />&nbsp;
<asp:Button ID="btnProductDiscounts" runat="server" Text="Product Discounts" CausesValidation="false" onclick="btnProductDiscounts_Click" CssClass="" />
<hr />
</td></tr></table>

<asp:MultiView runat="server" ID="mvMain">
    <asp:View ID="viewOrderDiscountSetup" runat="Server">

<table><tr><td></td><td>
<table width="100%" class="SmithProdText">
    <col width="17%" />
    <col width="70%" />
    
    <tr style="height:10"><td></td></tr>
    
    <tr align="left">
        <td colspan="2"><asp:Label ID="Label1" runat="server" Text="Manage Order Level Discounts" CssClass="SmithTitle"/></td>
    </tr>
    
    <tr><td></td></tr>
    
    <tr><td colspan="2" align="left"><asp:Label ID="Label2" runat="server" Text="Note: Product level quantity discounts and product member pricing are managed in the product setup screen.<br>Category level discounts are managed in the category setup screen. " CssClass="SmithItalics"/></td></tr>
  
    <tr style="height:30px"><td>&nbsp;</td></tr>

    <tr align="left">
        <td>Member Role:</td>
        <td>
            <asp:DropDownList runat="server" ID="ddlMemberRole" AppendDataBoundItems="true">
                <asp:ListItem Value="0">-Select-</asp:ListItem>
            </asp:DropDownList>&nbsp;&nbsp;
            <asp:RequiredFieldValidator ID="rfvddlMemberRole" runat="server" ControlToValidate="ddlMemberRole" Display="Dynamic" ErrorMessage="Required" InitialValue="0"/>
        </td>
    </tr>

    <tr><td></td></tr>
    
    <tr align="left">
        <td valign="top">Discount Percentage:</td>
        <td>
            <asp:TextBox ID="txtDiscountPercent" runat="server" Width="100px" MaxLength="7"/>&nbsp;
            <asp:CompareValidator ID="CVtxtDiscountPercent" runat="server" ControlToValidate="txtDiscountPercent" ErrorMessage="Enter percentage without % sign" 
                    Operator="DataTypeCheck" Type="Currency"></asp:CompareValidator><br />
            <asp:Label ID="Lbl2" runat="server" Text="Enter percentage without % sign (i.e. 20% is entered as 20)" CssClass="SmithItalics"/>
        </td>
    </tr>
    
    <tr><td></td></tr>

    <tr align="left">
        <td>Discount Amount:</td>
        <td>
            <asp:TextBox runat="server" ID="txtDiscountAmount" Width="100" MaxLength="11" />&nbsp;&nbsp;
            <asp:CompareValidator ID="cvPrice2" runat="server" ErrorMessage="Enter a valid number" ControlToValidate="txtDiscountAmount" Operator="DataTypeCheck" Type="Double"/>
        </td>
    </tr>
    
    <tr><td></td></tr>
    
    <tr align="left">
        <td>Textbox 1 Required:</td>
        <td><asp:CheckBox ID="chkTB1Required" runat="server"/></td>
    </tr>
    
    <tr><td></td></tr>
    
    <tr align="left">
        <td>Textbox 2 Required:</td>
        <td><asp:CheckBox ID="chkTB2Required" runat="server"/></td>
    </tr>
    
    <tr><td></td></tr>
    
    <tr align="left">
        <td>Date Field Required:</td>
        <td><asp:CheckBox ID="chkDateRequired" runat="server"/></td>
    </tr>

    <tr style="height:15px"><td>&nbsp;</td></tr>

    <tr align="left">
        <td></td>
        <td><asp:Button runat="server" ID="btnAddDiscount" Width="160" Text="Add Order Discount" onclick="btnAddDiscount_Click" /></td>  
    </tr>

    <tr style="height:20px"><td>&nbsp;</td></tr>
    
    <tr style="height:110"><td colspan="2">
        <asp:GridView ID="grdDiscount" runat="server" AutoGenerateColumns="false" CssClass="cssMain" CellPadding="4"
                OnRowCancelingEdit="grdDiscount_RowCancelingEdit"
                OnRowDeleting="grdDiscount_RowDeleting" 
                OnRowEditing="grdDiscount_RowEditing" 
                OnRowUpdating="grdDiscount_RowUpdating"  
                onrowdatabound="grdDiscount_RowDataBound" >
                <HeaderStyle CssClass="GridHeader" /> 
                <Columns>
                    <asp:TemplateField HeaderText="DiscountID"  Visible="false">
                        <ItemTemplate>
                            <asp:Label ID="lblDiscountID" runat="server" Text='<%#Eval("OrderDiscountID") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
 
                     <asp:TemplateField HeaderText="Member Role" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblMemberRole" runat="server" Text='<%#Eval("RoleName") %>' />
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:DropDownList ID="ddlMemberRole" runat="server" 
                                dataSource="<%#PopulateList()%>" datatextfield="RoleName" datavaluefield="RoleID" Width="150px">
                            </asp:DropDownList>
                        </EditItemTemplate>
                    </asp:TemplateField>
                        
                    <asp:TemplateField HeaderText="Discount Percent" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblDiscountPercent" runat="server" Text='<%#Eval("DiscountPercent") %>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtDiscountPercent" runat="server" Text='<%#Eval("DiscountPercent") %>'></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                     <asp:TemplateField HeaderText="Discount Amount" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblDiscountAmount" runat="server" Text='<%#Eval("DiscountAmount","{0:n}") %>' />
                        </ItemTemplate>  
                        <EditItemTemplate>
                            <asp:TextBox ID="txtDiscountAmount" runat="server" Text='<%#Eval("DiscountAmount","{0:n}") %>'></asp:TextBox>
                        </EditItemTemplate>                  
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Textbox 1 Required" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblTB1Required" runat="server"  Text ='<%#Boolean.Parse(Eval("TextBox1Required").ToString())?"Yes":"No"%>' />
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:CheckBox ID="chkTB1Required" runat="server" Checked='<%#Eval("TextBox1Required") %>' />
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Textbox 2 Required" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblTB2Required" runat="server"  Text ='<%#Boolean.Parse(Eval("TextBox2Required").ToString())?"Yes":"No"%>' />
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:CheckBox ID="chkTB2Required" runat="server" Checked='<%#Eval("TextBox2Required") %>' />
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Date Required" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblDateRequired" runat="server"  Text ='<%#Boolean.Parse(Eval("DateRequired").ToString())?"Yes":"No"%>' />
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:CheckBox ID="chkDateRequired" runat="server" Checked='<%#Eval("DateRequired") %>' />
                        </EditItemTemplate>
                    </asp:TemplateField>

                    <asp:CommandField ShowEditButton="True" ItemStyle-CssClass="GridCells" CausesValidation="false" />
                    <asp:CommandField ShowDeleteButton="True" ItemStyle-CssClass="GridCells" CausesValidation="false" />
                </Columns>
            </asp:GridView>
     </td></tr>
     
     <tr style="height:20"><td>&nbsp;</td></tr>
     <tr><td align="center" colspan="2"> <asp:Button ID="btnBack" runat="server" Text="Back" Width="81px" onclick="btnBack_Click" CausesValidation="false" /></td></tr>
      <tr style="height:20"><td>&nbsp;</td></tr>
     
</table>
</td></tr></table>

    </asp:View>
    
<%--******** Price Class Page ********--%>
    
    <asp:View ID="viewPriceClassSetup" runat="server">
    
    <table><tr><td></td><td>
    <table width="100%" class="SmithProdText">
    <col width="12%" />
    <col width="70%" />
    
    <tr style="height:10"><td width="20px"></td></tr>
    
    <tr align="left">
        <td colspan="2">
            <asp:Label ID="Label3" runat="server" Text="Manage Product Price Class" CssClass="SmithTitle"/>
        </td>
    </tr>
    
    <tr><td></td></tr>
    
    <tr align="left">
        <td>Price Class Name:</td>
        <td>
            <asp:TextBox runat="server" ID="txtClassName" MaxLength="10" Width="100" />&nbsp;&nbsp;
            <asp:RequiredFieldValidator ID="rfvClassName" runat="server" ControlToValidate="txtClassName" Display="Dynamic" ErrorMessage="Required"/>
        </td>
    </tr>

    <tr align="left">
        <td>Quantity From:</td>
        <td>
            <asp:TextBox runat="server" ID="txtQtyFrom" MaxLength="15" Width="100" />&nbsp;&nbsp;
             <asp:CompareValidator ID="cvtxtQtyFrom" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtQtyFrom" Operator="DataTypeCheck" Type="Integer"/>
        </td>
    </tr>

    <tr><td></td></tr>

    <tr align="left">
        <td>Quantity To:</td>
        <td><asp:TextBox runat="server" ID="txtQtyTo" Width="100" MaxLength="15" />&nbsp;&nbsp;
            <asp:CompareValidator ID="cvtxtQtyTo" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtQtyTo" Operator="DataTypeCheck" Type="Integer"/>
        </td>
    </tr>

    <tr><td></td></tr>

    <tr align="left">
        <td>Price:</td>
        <td>
            <asp:TextBox runat="server" ID="txtPrice" Width="100" MaxLength="11" />&nbsp;&nbsp;
            <asp:CompareValidator ID="cvPrice" runat="server" ErrorMessage="Enter a number" ControlToValidate="txtPrice" Operator="DataTypeCheck" Type="Double"/>
        </td>
    </tr>

    <tr align="left">
        <td valign="top">Discount Percentage:</td>
        <td>
            <asp:TextBox ID="txtDiscountPercentPC" runat="server" Width="100px" MaxLength="7"/>&nbsp;
            <asp:CompareValidator ID="cvDiscountPercentPC" runat="server" ControlToValidate="txtDiscountPercentPC" ErrorMessage="Enter percentage without % sign" 
                    Operator="DataTypeCheck" Type="Currency"></asp:CompareValidator><br />
            <asp:Label ID="Label4" runat="server" Text="Enter percentage without % sign (i.e. 20% is entered as 20)" CssClass="SmithItalics"/>
        </td>
    </tr>

    <tr style="height:15px"><td>&nbsp;</td></tr>

    <tr align="left">
        <td></td>
        <td><asp:Button runat="server" ID="btnAddPriceClass" Width="160" Text="Add Price Class" onclick="btnAddPriceClass_Click" /></td>  
    </tr>

    <tr style="height:20px"><td>&nbsp;</td></tr>
    
    <tr style="height:110"><td colspan="2">
        <asp:GridView ID="grdPriceClass" runat="server" AutoGenerateColumns="false" OnRowCancelingEdit="grdPriceClass_RowCancelingEdit"
                OnRowDeleting="grdPriceClass_RowDeleting" OnRowEditing="grdPriceClass_RowEditing" OnRowUpdating="grdPriceClass_RowUpdating" Width="652px" 
                CssClass="cssMain" CellPadding="4" >
                <HeaderStyle CssClass="GridHeader" /> 
                <Columns>
                    <asp:TemplateField HeaderText="Class ID"  Visible="false">
                        <ItemTemplate>
                            <asp:Label ID="lblPriceClassID" runat="server" Text='<%#Eval("PriceClassID") %>'></asp:Label>
                        </ItemTemplate>
                    </asp:TemplateField>
                    
                     <asp:TemplateField HeaderText="Price Class Name" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblName" runat="server" Text='<%#Eval("PriceClass") %>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtName" runat="server" Text='<%#Eval("PriceClass") %>'></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Quantity From" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblQtyFrom" runat="server" Text='<%#Eval("QtyFrom") %>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtQtyFrom" runat="server" Text='<%#Eval("QtyFrom") %>'></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Quantity To" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblQtyTo" runat="server" Text='<%#Eval("QtyTo") %>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtQtyTo" runat="server" Text='<%#Eval("QtyTo") %>'></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>
                    
                    <asp:TemplateField HeaderText="Product Price" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblPrice" runat="server" Text='<%#Eval("Price","{0:n}") %>' />
                        </ItemTemplate>  
                        <EditItemTemplate>
                            <asp:TextBox ID="txtPrice" runat="server" MaxLength="20" Text='<%#Eval("Price","{0:n}") %>'></asp:TextBox>
                        </EditItemTemplate>                  
                    </asp:TemplateField>

                     <asp:TemplateField HeaderText="Discount Percent" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells">
                        <ItemTemplate>
                            <asp:Label ID="lblDiscountPercent" runat="server" Text='<%#Eval("DiscountPercent") %>'></asp:Label>
                        </ItemTemplate>
                        <EditItemTemplate>
                            <asp:TextBox ID="txtDiscountPercent" runat="server" Text='<%#Eval("DiscountPercent") %>'></asp:TextBox>
                        </EditItemTemplate>
                    </asp:TemplateField>
             
                    <asp:CommandField ShowEditButton="True" ItemStyle-CssClass="GridCells" CausesValidation="false"/>
                    <asp:CommandField ShowDeleteButton="True" ItemStyle-CssClass="GridCells" CausesValidation="false"/>
                </Columns>
            </asp:GridView>
     </td></tr>
     
     <tr style="height:20"><td>&nbsp;</td></tr>
     <tr><td align="center" colspan="2"> <asp:Button ID="btn_back1" runat="server" Text="Back" Width="81px" onclick="btnBack_Click" CausesValidation="false" /></td></tr>
     <tr style="height:20"><td>&nbsp;</td></tr>
     
</table>
</td></tr></table>

    </asp:View>
    
</asp:MultiView>
