﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.ProductRoles, App_Web_productroles.ascx.54f2e0e1" %>
<%@ Register TagPrefix="uc1" TagName="ProductMenuInclude" Src="menus/productmenu.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>

<link href="module.css" rel="stylesheet" type="text/css" />
<uc1:ProductMenuInclude ID="productmenu" runat="server" />

<table width="100%" class="SmithProdText"><tr><td width="20"></td><td>
  <table width="100%" class="SmithProdText">

    <tr style="height:20"><td>&nbsp;</td></tr>
    
    <tr>
        <td align="left">
            <asp:Label ID="Label1" runat="server" Text="Product Role Setup" CssClass="SmithTitle"/>&nbsp;-&nbsp;
            <asp:Label ID="lblProductName" runat="server" CssClass="SmithProdText" />
        </td>
    </tr>

    <tr><td style="height:20">&nbsp;</td></tr>


    <%--*** Add User Roles ***--%>

    <tr align="left"><td class="SmithBold" align="left" style="height:7px"><dnn:Label ID="lblUserRolesSetup" runat="server" /></td></tr>
    
    <tr><td style="height:14px"></td></tr>
    
    <tr>
        <td>
            <asp:GridView ID="gvRoles"  runat="server" AutoGenerateColumns="false"  Width="500px" CssClass="cssMain" CellPadding="4" >
                <HeaderStyle CssClass="GridHeader" /> 
                <Columns>
                    <asp:TemplateField HeaderText="Role ID" HeaderStyle-HorizontalAlign="Left" Visible= "false" ><ItemTemplate><asp:Label ID="lblRoleID" runat="server" Text='<%#Eval("RoleID") %>'></asp:Label></ItemTemplate></asp:TemplateField>
                    <asp:TemplateField HeaderText="Role Name" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells"><ItemTemplate><asp:Label ID="lblRoleName" runat="server" Text='<%#Eval("RoleName") %>'></asp:Label></ItemTemplate></asp:TemplateField>
                    <asp:TemplateField HeaderText="Add Role" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells"><ItemTemplate><asp:CheckBox ID="chkRoles1" runat="server" /></ItemTemplate></asp:TemplateField>
                    <asp:TemplateField HeaderText="Role Expiration (Days)" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="GridCells"><ItemTemplate><asp:TextBox ID="txtRoleExpire" runat="server"></asp:TextBox></ItemTemplate></asp:TemplateField>
                </Columns>
            </asp:GridView>   
        </td>
    </tr>
    
    <tr><td style="height:40">&nbsp;<br /><br /></td></tr>


    <%--*** Remove User Roles ***--%>

    <tr align="left"><td class="SmithBold" style="height:7px"><dnn:Label ID="lblRemoveUserRoles" runat="server" /></td></tr>
    <tr><td></td></tr>
    <tr>
        <td align="left"><asp:CheckBoxList  runat="server" ID="chkRemoveUserRoles" RepeatColumns="2" /></td>
    </tr>
    
    <tr><td style="height:20">&nbsp;<br /></td></tr>


    <%--*** Show Product Roles ***--%>

    <tr align="left"><td class="SmithBold" style="height:7px"><dnn:Label ID="lblShowProductRoles" runat="server" /></td></tr>
    <tr><td></td></tr>
    <tr>
        <td align="left"><asp:CheckBoxList runat="server" ID="chkShowProductRoles" RepeatColumns="2" /></td>
    </tr>
    
    <tr><td style="height:20">&nbsp;<br /></td></tr>


    <%--*** Hide Product Roles ***--%>

    <tr align="left"><td class="SmithBold" style="height:7px"><dnn:Label ID="lblHideProductRoles" runat="server" /></td></tr>
    <tr><td></td></tr>
    <tr><td align="left"><asp:CheckBoxList  runat="server" ID="chkHideProductRoles" RepeatColumns="2" /></td></tr>
    
    <tr><td style="height:20">&nbsp;<br /></td></tr>


    <%--*** Tab Roles ***--%>

    <tr align="left"><td class="SmithBold" style="height:7px"><dnn:Label ID="lblTabRoles" runat="server" /></td></tr>
    <tr><td></td></tr>
    <tr><td align="left"><asp:Label ID="Label2" runat="server" Text="Tab #1" CssClass="SmithUnderline"/></td></tr>
    <tr><td align="left"><asp:CheckBoxList runat="server" ID="chkShowTab1Roles" RepeatColumns="2" /></td></tr>
    
    <tr><td style="height:20">&nbsp;<br /></td></tr>

    <tr><td align="left"><asp:Label ID="Label3" runat="server" Text="Tab #2" CssClass="SmithUnderline"/></td></tr>
    <tr><td align="left"><asp:CheckBoxList runat="server" ID="chkShowTab2Roles" RepeatColumns="2" /></td></tr>

    <tr><td style="height:20">&nbsp;<br /></td></tr>

    <tr><td align="left"><asp:Label ID="Label4" runat="server" Text="Tab #3" CssClass="SmithUnderline"/></td></tr>
    <tr><td align="left"><asp:CheckBoxList runat="server" ID="chkShowTab3Roles" RepeatColumns="2" /></td></tr>

    <tr><td style="height:20">&nbsp;<br /></td></tr>

    <tr><td align="left"><asp:Label ID="Label6" runat="server" Text="Tab #4" CssClass="SmithUnderline"/></td></tr>
    <tr><td align="left"><asp:CheckBoxList runat="server" ID="chkShowTab4Roles" RepeatColumns="2" /></td></tr>

    <tr><td style="height:20">&nbsp;<br /></td></tr>

    <tr><td align="left"><asp:Label ID="Label5" runat="server" Text="Tab #5" CssClass="SmithUnderline"/></td></tr>
    <tr><td align="left"><asp:CheckBoxList runat="server" ID="chkShowTab5Roles" RepeatColumns="2" /></td></tr>

     <tr style="height:20"><td>&nbsp;<br /><br /></td></tr>

     <tr>
        <td>
            <asp:Button ID="btnSave" runat="server" Text="Save" Width="81px" onclick="btnSave_Click" CausesValidation="false" />&nbsp;&nbsp;
            <asp:Label ID="lblMsg" runat="server" CssClass="SmithBlueMsgBold" Text="Saved Successfully" Visible="false" />
        </td>
     </tr>
     
     <tr><td>&nbsp;</td></tr>
    </table></td></tr>
</table>
