﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.ShipOrderListing, App_Web_shiporderlisting.ascx.54f2e0e1" %>
<link href="module.css" rel="stylesheet" type="text/css" />

<table width="700px" align="left">

    <tr align="left"><td><asp:Button ID="btnBack1" runat="server" Text="Back" Width="85px" Height="27px" onclick="btnBack_Click"/></td></tr>
    <tr><td></td></tr>
    <tr><td style="height: 32px" align="left" ><asp:Label ID="lblTitle" runat="server" Text="Ship Order Listing" cssclass="SmithTitle"/></td></tr>
    <tr><td></td></tr>
    <tr align="left">
        <td >
            <asp:Label ID="Label1" runat="server" Text="From Date:"></asp:Label>&nbsp;&nbsp;
            <asp:TextBox ID="txtFromDate" runat="server" Width="78px"></asp:TextBox>
            &nbsp;<asp:Image ID="calendar" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/calendar.png" />
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:Label ID="Label2" runat="server" Text="To Date:"></asp:Label>&nbsp;&nbsp;
            <asp:TextBox ID="txtToDate" runat="server" Width="94px"></asp:TextBox>
            &nbsp;<asp:Image ID="calendar1" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/calendar.png" />
            &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
            <asp:Button ID="btnFilter" runat="server" OnClick="btnFilter_Click" Text="Filter" Width="52px" />&nbsp;&nbsp
            <asp:Button ID="txtShowAll" runat="server" OnClick="txtShowAll_Click" Text="Show All" Width="83px" />
        </td> 
    </tr>
    <tr style="height: 20px"><td></td></tr>

<tr><td>
    <asp:DataGrid ID="DataGrid1" runat="server" AllowPaging="True" AllowSorting="True" AutoGenerateColumns="False"
        OnItemCommand="DataGrid1_ItemCommand" OnPageIndexChanged="DataGrid1_PageIndexChanged"
        OnSortCommand="DataGrid1_SortCommand" PageSize="50" ShowFooter="True" CssClass="cssMain" CellPadding="4" >
         <HeaderStyle CssClass="GridHeader" /> 
        <Columns>
            <asp:TemplateColumn ItemStyle-CssClass="GridCells" HeaderStyle-HorizontalAlign="Center">
                <HeaderTemplate>
                    <asp:Button ID="ButtonFilterCustomers" runat="server" CausesValidation="false" CommandName="filterCustomers"
                        Text="Filter" Width="60px" />
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Button ID="Button1" runat="server" CausesValidation="false" CommandName="selectCustomer" Text="Select" Width="60" />
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="CustomerID" SortExpression="customerid" Visible="false">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortCustomerID" runat="server" CommandArgument="CustomerID" CommandName="Sort" Text="ID"  /><br />
                    <asp:TextBox ID="TextBoxSearchCustomerID" runat="server"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblCID" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.customerid")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="OrderID" SortExpression="orderid" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells" >
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortOrderID" runat="server" CommandArgument="OrderID" CommandName="Sort" Text="Order ID"></asp:LinkButton><br />
                    <asp:TextBox ID="TextBoxSearchOrderID" runat="server" Width="60px" />
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblOrderID" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.orderid")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Order Date" SortExpression="orderdate" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblOrderDate" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.orderdate")) %>' Width="100px"></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Order Status" SortExpression="status" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortOrderStatus" runat="server" CommandArgument="status"
                        CommandName="Sort" Text="Order Status"></asp:LinkButton><br />
                    <asp:DropDownList ID="DropDownListOrderStatus" runat="server">
                        <asp:ListItem>-Select-</asp:ListItem>
                        <asp:ListItem>Open</asp:ListItem>
                        <asp:ListItem>Cancelled</asp:ListItem>
                        <asp:ListItem>Shipped</asp:ListItem>
                        <asp:ListItem>Warehouse</asp:ListItem>
                        <asp:ListItem>BillMeLater</asp:ListItem>
                    </asp:DropDownList>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblOrderStatus" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.status")) %>'></asp:Label>
                </ItemTemplate> 
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="First Name" SortExpression="firstname" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortFirstName" runat="server" CommandArgument="firstname"
                        CommandName="Sort" Text="First Name" Width="70px"></asp:LinkButton><br />
                    <asp:TextBox ID="TextBoxSearchFirstName" runat="server" Width="75px"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblFirstName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.firstname")) %>'> </asp:Label>
                </ItemTemplate>  
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Last Name" SortExpression="lastname" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortLastName" runat="server" CommandArgument="lastname"
                        CommandName="Sort" Text="Last Name"></asp:LinkButton><br />
                    <asp:TextBox ID="TextBoxSearchLastName" runat="server" Width="100px"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblLastName" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.lastname")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Email" SortExpression="email" Visible="false">
                <HeaderTemplate>
                    <asp:LinkButton ID="LinkButtonSortEmail" runat="server" CommandArgument="email" CommandName="Sort"
                        ForeColor="white" Text="Email"></asp:LinkButton><br />
                    <asp:TextBox ID="TextBoxSearchEmail" runat="server" Width="50px"></asp:TextBox>
                </HeaderTemplate>
                <ItemTemplate>
                    <asp:Label ID="lblEmail" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.email")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Address" SortExpression="address1" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblAddress" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.address1")) %>' Width="150px"></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="City" SortExpression="city" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblCity" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.city")) %>'></asp:Label>
                </ItemTemplate>  
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="State" SortExpression="state" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblState" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.state")) %>' Width="100%"></asp:Label>
                </ItemTemplate>
                <ItemStyle Width="10px" />
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Country" SortExpression="country" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblCountry" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.country")) %>' Width="100%"></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Zip" SortExpression="zip" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <ItemTemplate>
                    <asp:Label ID="lblZip" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.zip")) %>'></asp:Label>
                </ItemTemplate>
                <EditItemTemplate>
                    <asp:TextBox ID="txtZip" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.zip")) %>' Width="100%"></asp:TextBox>
                </EditItemTemplate>
            </asp:TemplateColumn>
            
            <asp:TemplateColumn HeaderText="Phone" SortExpression="workphone" ItemStyle-CssClass="GridCells" HeaderStyle-CssClass="GridCells">
                <HeaderStyle Wrap="False" />
                <ItemStyle Wrap="False" />
                <ItemTemplate>
                    <asp:Label ID="lblPriPhone" runat="server" Text='<%# (DataBinder.Eval(Container,"DataItem.homephone")) %>'></asp:Label>
                </ItemTemplate>
            </asp:TemplateColumn>
            
        </Columns>
        <PagerStyle Position="TopAndBottom" NextPageText="Next >" PrevPageText="< Prev"></PagerStyle>
    </asp:DataGrid>
</td></tr>

    <tr><td style="height: 20px"></td></tr>

    <tr align="center"><td><asp:Button ID="btnBack" runat="server" Text="Back" Width="85px" Height="27px" onclick="btnBack_Click"/></td></tr>

</table>
