﻿var jQ = jQuery;

function SmithShareBarPopUp(url, width, height) {
    var options = "toolbar=no"
      + ",width=" + width
      + ",height=" + height;

    window.open(url, "_blank", options);
    return false;
}

function SmithShareBarTwitter(el, link, msg) {
    var width = 550, height = 420;
    var length = 119;

    if (msg.length > length)
        msg = msg.substring(0, length);

    var url = el.href
      + "?url=" + encodeURIComponent(link)
      + "&text=" + encodeURIComponent(msg);

    return SmithShareBarPopUp(url, width, height);
}

function SmithShareBarFacebook(el, link, msg) {
    var width = 675, height = 420;

    var url = el.href
      + "?u=" + encodeURIComponent(link)
      + "&t=" + encodeURIComponent(msg);

    return SmithShareBarPopUp(url, width, height);
}

function SmithShareBarEmail(el, link, msg) {
    var $window = jQ("div#SmithShareBarEmail");
    var text = msg + "\n\n" + encodeURI(link);

    jQ("textarea:first", $window).val(text);
    $window.dialog("open");
    return false;
}

function SmithShareBarEmailClose() {
    var $window = jQ("div#SmithShareBarEmail");

    $window.dialog("close");
    return true;
}

function SmithShareBarGoogle(el, link, msg) {
    gapi.plusone.render(el, { "annotation": "none", "href": link });
    return false;
}


jQ(document).ready(function () {
    var $window = jQ("div#SmithShareBarEmail");

    $window.dialog({
        width: 450,
        height: 300,
        autoOpen: false,
        title: "Share in Email",
        open: function (type, data) {
            jQ(this).parent().appendTo("form:first");
        }
    });

    jQ("a.SmithShareBarTwitter").click(function () {
        SmithShareBarSelect(this, SmithShareBarTwitter);
        return false;
    });

    jQ("a.SmithShareBarFacebook").click(function () {
        SmithShareBarSelect(this, SmithShareBarFacebook);
        return false;
    });

    jQ("a.SmithShareBarEmail").click(function () {
        SmithShareBarSelect(this, SmithShareBarEmail);
        return false;
    });

    jQ("li.SmithShareBarGoogle div").each(function () {
        SmithShareBarSelect(this, SmithShareBarGoogle);
    });
});
