﻿<%@ control language="C#" autoeventwireup="true" inherits="Smith.DNN.Modules.BuyNow.AddCoupon, App_Web_addcoupon.ascx.54f2e0e1" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" Assembly="DotNetNuke" Namespace="DotNetNuke.UI.WebControls"%>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke.WebControls" %>

<link href="module.css" rel="stylesheet" type="text/css" />

<script language="javascript">
    function DiscountByItemChanged()
    {
        var discountByItem = document.getElementById("<%=chkDiscountByItem.ClientID%>").checked;
        document.getElementById("<%=txtCouponQuantity.ClientID%>").value = '';
        if (discountByItem)
        {
            document.getElementById("<%=txtCouponQuantity.ClientID%>").disabled = false;
        }
        else
        {
            document.getElementById("<%=txtCouponQuantity.ClientID%>").disabled = true;
        }
    }
</script>

<div >
    <asp:Button ID="btnAdminMenu" runat="server" onclick="btnAdminMenu_Click" Text="Admin Menu" CausesValidation="false"/>&nbsp;&nbsp;&nbsp;&nbsp;
    <asp:Button ID="btnManageCoupons" runat="server" Text="Manage Coupons" onclick="btnManageCoupons_Click" CausesValidation="false" />&nbsp;&nbsp;&nbsp;&nbsp;
    <asp:Button ID="btnImportCoupons" runat="server" onclick="btnImportCoupons_Click" Text="Import Coupons" CausesValidation="false" />
</div>

<table>
    <tr><td align="left" colspan="2"><hr /></td></tr>
    <tr><td>&nbsp;</td></tr>
    <tr align="left"><td class="SmithTitle" colspan="2">Add/Edit Coupons</td></tr>
    <tr><td></td></tr>
    <tr><td colspan="2"><asp:Label ID="lblWarning" runat="server" CssClass="SmithRequiredText" meta:resourcekey="lblWarningResource1" /></td></tr>
    <tr><td></td></tr>
    
    <tr style="height: 26px" align="left">
        <td valign="top" ><dnn:Label ID="lblCouponCode" runat="server" HelpText="Enter a coupon code" Text="Coupon Code:" meta:resourcekey="Label1Resource1"/></td>
        <td valign="top" >
            <asp:TextBox ID="txtCouponCode" runat="server" Width="200px" MaxLength="50" meta:resourcekey="txtCouponCodeResource1" />
            <asp:RequiredFieldValidator ID="rfvtxtCouponCode" runat="server" ControlToValidate="txtCouponCode" ErrorMessage="*Required" Display="Dynamic" meta:resourcekey="rfvtxtCouponCodeResource1"/>
        </td>
    </tr>
    <tr style="height: 26px" align="left">
        <td valign="top">Coupon Name:</td>
        <td>
            <asp:TextBox ID="txtCouponName" runat="server" Width="300px" MaxLength="50"  />
            <asp:RequiredFieldValidator ID="rfvtxtCouponName" runat="server" ControlToValidate="txtCouponName" ErrorMessage="*Required" Display="Dynamic" meta:resourcekey="rfvtxtCouponNameResource1" />
        </td>
    </tr>
    <tr align="left" style="height: 26px">
        <td valign="top">Coupon Amount:</td>
        <td>
            <asp:TextBox ID="txtCouponAmount" runat="server" Width="100px" MaxLength="12" />
            <%--<asp:RequiredFieldValidator ID="rfvtxtCouponAmount" runat="server" ControlToValidate="txtCouponAmount" ErrorMessage="*Required" Display="Dynamic" />--%>
            <asp:RegularExpressionValidator ID="revtxtCouponAmount" runat="server" ControlToValidate="txtCouponAmount"
                ValidationExpression="^\d{1,5}(\.\d{0,2})?$" ErrorMessage="*Invalid" Display="Dynamic" meta:resourcekey="revtxtCouponAmountResource1" />&nbsp;
        </td>
    </tr>
    
    <tr align="left" style="height: 26px">
        <td valign="top">Discount Percentage:</td>
        <td>
            <asp:TextBox ID="txtDiscountPercent" runat="server" Width="100px" MaxLength="7" />&nbsp;
            <asp:Label ID="Lbl2" runat="server" Text="Enter number without % sign (i.e. 20% is entered as 20)" CssClass="SmithItalics"/>&nbsp;
            <asp:CompareValidator ID="CVtxtDiscountPercent" runat="server" ControlToValidate="txtDiscountPercent" ErrorMessage="Enter percentage without % sign" Operator="DataTypeCheck" Type="Currency"/>
        </td>
    </tr>

     <tr align="left" style="height: 26px">
        <td valign="top">Active:</td>
        <td><asp:CheckBox ID="chkActive" runat="server" /></td>
    </tr>
    
    <tr align="left" style="height: 26px">
        <td valign="top"><asp:Label runat="server" ID="lblExpireDate" Text="Expiration Date:" />&nbsp;&nbsp;</td>
        <td>
            <asp:TextBox ID="txtExpireDate" TabIndex="14" runat="server" MaxLength="30" Columns="15" Width="200px" />&nbsp;
            <asp:Image ID="calendar" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/calendar.png" />
        </td>
    </tr>

     <tr align="left" style="height: 26px">
        <td valign="top" colspan="2">Discount First Recurring Payment Only:&nbsp;&nbsp;<asp:CheckBox ID="chkDiscountFirstPaymentOnly" runat="server" /></td>
    </tr>
    
    <tr><td style="height: 10px"></td></tr>

    <tr style="height: 30px" align="left"><td class="SmithTitle" colspan="2">Order Level Coupons</td></tr>
    <tr align="left">
        <td valign="top">Discount by Item in kit:</td><td>
            <asp:CheckBox ID="chkDiscountByItem" onClick="DiscountByItemChanged();" runat="server" meta:resourcekey="chkDiscountByItemResource1" />&nbsp;
        </td>
    </tr>
    <tr><td style="height: 2px"></td></tr>
    <tr align="left">
        <td valign="top" style="height: 26px">Max Uses Per Customer:&nbsp;</td>
        <td style="height: 26px"><asp:TextBox ID="txtCouponQuantity" runat="server" Width="100px" MaxLength="4" /></td>
    </tr>
    <tr><td style="height: 10px"></td></tr>
    <tr style="height: 30px" align="left"><td class="SmithTitle" colspan="2">Product Level Coupons</td></tr>
    <tr align="left">
        <td valign="top" style="height: 26px">Product:</td>
        <td style="height: 26px">
            <asp:DropDownList ID="ddlProduct" runat="server" Width="300px" AppendDataBoundItems="True" meta:resourcekey="ddlProductResource1">
                <asp:ListItem Text="-Select-" Value="0" meta:resourcekey="ListItemResource1" />                
            </asp:DropDownList>
        </td>
    </tr>

    <tr align="left">
        <td valign="top" style="height: 26px">Max Uses:</td>
        <td style="height: 26px"><asp:TextBox ID="txtMaxUseProduct" runat="server" Width="100px" MaxLength="12" />&nbsp;<asp:Label ID="Label3" runat="server" Text="(Enter 0 for no max use)" CssClass="SmithItalics"/></td>
    </tr>

    <tr align="left">
        <td valign="top" style="height: 26px">Max Uses Per Customer:&nbsp;</td>
        <td style="height: 26px"><asp:TextBox ID="txtCouponLimit" runat="server" Width="100px" MaxLength="12" /></td>
    </tr>
    
    <tr align="left">
        <td valign="top" style="height: 26px"><dnn:Label ID="Label1" runat="server" HelpText="Enter -1 for no coupon shipping override amount" Text="Shipping Amount:" />
        </td>
        <td style="height: 26px"><asp:TextBox ID="txtCouponShipping" runat="server" Width="100px" MaxLength="4" meta:resourcekey="txtCouponShippingResource1" />
        </td>
    </tr>
    <tr align="left">
        <td></td>
        <td><asp:Label ID="Label2" runat="server" Text="(Enter -1 for no coupon shipping amount)" CssClass="SmithItalics"/></td>
    </tr>
    
   <tr><td style="height: 30px"></td></tr>
    <tr >
        <td align="center"><asp:Button ID="btnBack" Text="<< Back" runat="server" CausesValidation="False" OnClick="btnBack_Click" meta:resourcekey="btnBackResource1" Height="22px" Width="68px" /></td>
        <td align="left" valign="top">
            <asp:Button ID="btnClear" Text="Clear" runat="server" OnClick="btnClear_Click" meta:resourcekey="btnClearResource1" Visible="false" />&nbsp;&nbsp;&nbsp;
            <asp:Button ID="btnSubmit" Text="Save" runat="server" OnClick="btnSubmit_Click" meta:resourcekey="btnSubmitResource1" Width="79px" Height="29px" /> 
        </td>
    </tr>
</table>


<br /><br />