
<%-------- Mini Cart ----------%>
<div runat="server" id="tblMiniCart" class="right" visible="false">
    <asp:Image ID="Image2" runat="server" ImageUrl="~/DesktopModules/Smith.MiniCart/Images/minicart.png" />&nbsp;
    <%=Localization.GetString("MiniCartItem.Text", LocalResourceFile)%>
    <asp:Label ID="lblQty" runat="server" Text="0"/>
    
    <div>
        <div class="b_left">&nbsp;</div>
        <div class="b_center">&nbsp;&nbsp;<asp:LinkButton ID="IbCheckout" runat="server" onclick="btnViewCart_Click" Text="VIEW CART" CssClass="b_link" resourcekey="btnViewCart.Text" Font-Size="12px"/>&nbsp;&nbsp;</div>
        <div class="b_right">&nbsp;</div>
    </div>
</div>
      
        
<%-------- Sold Out Message ----------%>
<div runat="server" id="dvStockOut" class="outofstock" visible="false"><img runat="server" id="soldOutImage" src="images/SoldOutLrg.png" width="415" height="150" alt="Sold Out Message"/></div>

    <div id="topdiv">
<table cellpadding="0" cellspacing="0" >
   
    <tr align="left">
        <td width="20px"></td>

        <%--Regular Product Image Display --%>

    	<asp:UpdatePanel runat="server" ID="UpdatePanel1" ChildrenAsTriggers="true"><ContentTemplate>

        <td runat="server" id="tdProductImage" align="left" valign="top">
            <a runat="server" id="myMainImage" class="jqzoom" style=""><asp:Image ID="Image1" runat="server" /></a>
        </td>

        <%-- Custom Image No Icons --%>

        <td runat="server" id="tdCustomImageFull" align="left" valign="top" visible="false">
           <table runat="server" id="tblCustomImageFull" class="scCustomImageNoIcons" >
                <tr>
                    <td><asp:Label ID="lblCustomImageText" runat="server" CssClass="scCustomImageText"/></td>
                </tr>
           </table>
        </td>

        <%-- Custom Image with Icons --%>

         <td runat="server" id="tdCustomImagePart" align="left" valign="top" visible="false">
           <table runat="server" id="tblCustomImagePart" class="scCustomImageIcons" >
                <tr>
                    <td colspan="2"><asp:Image ID="imgTop" runat="server" /></td>
                </tr>
                <tr><td style="height: 5px"></td></tr>
                <tr>
                    <td runat="server" id="tdCustomImagePartCol1">
                        <asp:Image ID="imgIconLeft" runat="server" Visible="false" />
                        <asp:Label ID="lblCustomImageTextLeft" runat="server" CssClass="scCustomImageTextIcons" Width="120px" Visible="false"/>
                    </td>
                    <td runat="server" id="tdCustomImagePartCol2">
                        <asp:Image ID="imgIconRight" runat="server" Visible="false" />
                        <asp:Label ID="lblCustomImageTextRight" runat="server" CssClass="scCustomImageTextIcons" Width="120px" Visible="false"/>
                    </td>
                </tr>
           </table>
        </td>
            
         <%--Cell Spacer--%>

		<td width="40px"></td>

         <%--Start display column two - Product Name, Price, Variants, etc --%>
            
        <td align="left">
                <table runat="server" id="tbMain" border="0" align="left">
                    <tr><td colspan="2"><asp:Label ID="lblModel" runat="server" CssClass="SmithProductDetailTitle"/></td></tr>
                    <tr runat="server" id="trRating" visible="false">
                        <td colspan="2" nowrap="nowrap">
                            <cc1:Rating ID="Gauge2" runat="server" MaxRating="5" CssClass="ratingStar" StarCssClass="ratingItem" WaitingStarCssClass="Empty" 
                                FilledStarCssClass="Filled" EmptyStarCssClass="Empty" ReadOnly="true" />&nbsp;&nbsp;<asp:Label ID="lblAvgStars2" runat="server" />
                        </td>
                   </tr>
                    
                    <tr runat="server" id="trStockMessage" visible="false">
                       <td class="StockMessagePL" nowrap="nowrap" colspan="2">
                            <asp:Label runat="server" ID="lblSoldOut" resourcekey="lblSoldOut" CssClass="SmithRedMsgBold"/>
                       </td>
                    </tr>

					<%--<tr><td style="height:5"></td></tr>--%>
					
					<tr runat="server" id="trSKU" visible="false">
					    <td><asp:Label ID="lblSKU" resourcekey="lblSKU" runat="server" CssClass="SmithProdText"/>&nbsp;&nbsp;
					    <asp:Label ID="txtSKU" runat="server" CssClass="SmithProdText"/></td>
					</tr>
                    
					<%--<tr><td style="height:5"></td></tr>--%>
					<tr runat="server" id="trSummary" visible="false"><td colspan="2"><asp:Label ID="lblSummary" runat="server" CssClass="SmithProdText"/></td></tr>
					<%--<tr><td style="height:5"></td></tr>--%>
					
                    <tr runat="server" id="trPrice">
                        <td><asp:Label ID="lblPriceLabel" resourcekey="lblPriceLabel" runat="server" CssClass="SmithProdText"/>&nbsp;&nbsp;
                        <%--<td nowrap="nowrap">--%>
                            <asp:Label ID="lblPrice" runat="server" Text="" CssClass="SmithProdText" />&nbsp;
                            <asp:Label ID="lblEUVATIncPrice" runat="server" Text="" CssClass="SmithProdText" Visible="false"/>
                            <asp:TextBox ID="txtPrice" runat="server" CssClass="SmithProdText" Width="75" Visible="false" MaxLength="6"/>&nbsp
                            <asp:Label ID="lblPriceUnits" runat="server" Text="" CssClass="SmithProdText" />
                            <asp:Label ID="lblEUVATRate" runat="server" Text="" CssClass="SmithProdText" Visible="false" />
                        </td>
                    </tr>

                    <tr runat="server" id="trSalePrice" visible="false">
                        <td>
                            <asp:Label runat="server" ID="lblSalePriceLabel" resourcekey="lblSalePriceLabel" />&nbsp;&nbsp;
                            <asp:Label runat="server" ID="lblSalePrice" CssClass="SmithRedMsg" />
                            <asp:Label runat="server" ID="lblSalePriceEUVATIncPrice" CssClass="SmithRedMsg" Visible="false" />
                        </td>
                    </tr>
                    
                    <tr runat="server" id="trMemberPricingSingle" visible="false">
                        <td><asp:Label runat="server" ID="lblMemberPriceLabel" resourcekey="lblMemberPriceLabel" Visible="false" CssClass="SmithProdText" />&nbsp;&nbsp;
                            <asp:Label runat="server" ID="lblMemberPrice" Visible="false" CssClass="SmithProdText" />&nbsp;
                            <asp:Label runat="server" ID="lblMemberEUVATIncPrice" Visible="false" CssClass="SmithProdText" />
                        </td>
                    </tr>
                    
                     <tr runat="server" id="trMemberPricing" visible="false">
                        <td colspan="2">
                            <asp:RadioButtonList ID="rblMemberPrices" runat="server" CssClass="SmithProdText">
                                <asp:ListItem ID="optMemberPrice1" runat="server" Selected="True" />
                                <asp:ListItem ID="optMemberPrice2" runat="server" />
                            </asp:RadioButtonList>
                        </td>
                    </tr>
                       
                    <%-- Booking and Events --%>
                    <tr id="trBooking" runat="server" visible="false">
                        <td>
                            <div>
                                <div class="scBooking">
                                    <telerik:RadCalendar ID="RadCalendar1" runat="server" OnDayRender="RadCalendar1_DayRender">
                                        <ClientEvents OnDateClick="RadCalendar1_DateClick" />
                                    </telerik:RadCalendar>
                                </div>
                                <div class="scBooking">
                                    <asp:Label ID="lblBookingMsg" runat="server" Visible="false" CssClass="SmithRedMsg" />                                    
                                </div>
                                <div>
                                    <div class="scBookingText"><span class="SmithProdText">Start Date:</span></div>
                                    <div class="scBookingDate">
                                        <telerik:RadDateTimePicker ID="RadDatePicker1" runat="server" Width="175px">
                                        </telerik:RadDateTimePicker>
                                    </div>
                                </div>
                                <div>
                                    <div class="scBookingText"><span class="SmithProdText">End Date:</span></div>
                                    <div class="scBookingDate">
                                        <telerik:RadDateTimePicker ID="RadDatePicker2" runat="server" Width="175px">
                                        </telerik:RadDateTimePicker>
                                    </div>
                                </div>
                                <div>
                                    <div class="scBookingText">
                                        <span class="SmithProdText">All Day?</span>
                                    </div>
                                    <div class="scBookingDate">
                                        <asp:CheckBox ID="chkBookingAllDay" runat="server" Checked="true" />
                                    </div>
                                </div>
                            </div>
                        </td>
                    </tr>

                    <%-- Order As Is--%>
                     <tr runat="server" id="trOrderAsIs" visible="false">
                        <td colspan="2">
                            <br />
                            <asp:Label runat="server" ID="lblOrderAsIsTitle" resourcekey="lblOrderAsIsTitle" CssClass="SmithBold" /><br />
                            <asp:Label runat="server" ID="lblOrderAsIs" CssClass="SmithProdText" />
                            <asp:Label runat="server" ID="Label2" resourcekey="lblQuantity" CssClass="SmithProdText"/>&nbsp;&nbsp;                           
                            <asp:TextBox runat="server" ID="txtOrderAsIsQty" MaxLength="6" CssClass="SmithProdText" Width="40px">1</asp:TextBox>
                            <br /> <br />
                            <div id="ibOrderAsIsContainer" runat="server" visible="true" >
                                <div class="b_left">&nbsp;</div>
                                <div class="b_center">&nbsp;&nbsp;<asp:LinkButton ID="ibOrderAsIs" runat="server" OnClick="ibOrderAsIs_Click" Text="ORDER AS IS" CssClass="b_link" resourcekey="ibOrderAsIs.Text" Font-Size="12px"/>&nbsp;&nbsp;</div>
                                <div class="b_right">&nbsp;</div>
                            </div>
                            <br />  <br />
                            <asp:Label runat="server" ID="lblVariantsTitle" resourcekey="lblVariantsTitle" CssClass="SmithBold" /><br />
                        </td>
                    </tr>


                    <%-- Variants Display --%>
                    <tr runat="server" id="trVariants" visible="false">
                        <td colspan="2">
                            <table runat="server" id="tblVariants" class="scVariantTable" cellspacing="0"></table>
                        </td>
                    </tr>

                    <%-- Icons Datalist --%>
                   <tr runat="server" id="trIcons" visible="false">
                        <td colspan="2">
                          <asp:DataList ID="dtVariantIcons" runat="server" RepeatColumns="5" RepeatDirection="Horizontal" AutoGenerateColumns="false" GridLines="none" CellPadding="0" CellSpacing="0" 
                                OnItemDataBound="dtVariantIcons_ItemDataBound" OnItemCreated="dtVariantIcons_ItemCreated" >
                            <ItemTemplate>
                                <asp:ImageButton ID="ibIcon" runat="server" OnClick="ibIcon_Click" />
                                <asp:HiddenField ID="hdVariantID" Value='<%# DataBinder.Eval(Container.DataItem, "VariantID") %>' runat="server" Visible="false" />      
                            </ItemTemplate>
                        </asp:DataList>
                        </td>
                   </tr>
                   <tr runat="server" id="trIconSpacer" visible="false"><td style="height:10"></td></tr>
                
                   <%-- Variant Grid--%>
                   <tr runat="server" id="trVariantGrid" visible="false">
                        <td colspan="2">
                           <%-- <asp:PlaceHolder ID="phVariantGrid" runat="server"/>--%>

                           <asp:GridView ID="grdVariantGrid" runat="server" AutoGenerateColumns="false" GridLines="none" CellPadding="4"  OnRowCreated="grdVariantGrid_RowDataBound" >
                                <HeaderStyle CssClass="GridHeader" /> 
                                    <Columns>
                                         <asp:TemplateField HeaderText="VariantID" Visible="false">
                                            <ItemTemplate>
                                                <asp:Label ID="lblVariantID" runat="server" Text='<%#Eval("VariantID") %>'></asp:Label>
                                            </ItemTemplate>      
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="GridVariantName" ItemStyle-HorizontalAlign="Left" HeaderStyle-HorizontalAlign="Left" ItemStyle-CssClass="VariantGridCells1" HeaderStyle-CssClass="VariantGridCells">
                                            <ItemTemplate>
                                                <asp:Label ID="lblVariantName" runat="server" Text='<%#Eval("VariantName") %>'></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="GridQtyOnHand" ItemStyle-HorizontalAlign="Center" HeaderStyle-HorizontalAlign="Center" ItemStyle-CssClass="VariantGridCells1" HeaderStyle-CssClass="VariantGridCells" Visible="false">
                                            <ItemTemplate>
                                                <asp:Label ID="lblQtyOnHand" runat="server" Text='<%#Eval("QtyOnHand") %>'></asp:Label>
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                        <asp:TemplateField HeaderText="GridPrice" ItemStyle-CssClass="VariantGridCellsPrice" HeaderStyle-CssClass="VariantGridCells">
                                            <ItemTemplate>
                                                <asp:Label ID="lblPrice" runat="server" Text='<%# String.Format(GetMyCurrency(), "{0:c}",(decimal)Eval("PriceAdjustment")) %>' Width="60" />
                                            </ItemTemplate>      
                                        </asp:TemplateField>
                                         <asp:TemplateField HeaderText="GridMemberPrice" ItemStyle-CssClass="VariantGridCells1" HeaderStyle-CssClass="VariantGridCells" Visible="false">
                                            <ItemTemplate>
                                                <asp:Label runat="server" ID="lblMemberPrice" Width="60"/>
                                            </ItemTemplate>      
                                        </asp:TemplateField>
                                         <asp:TemplateField HeaderText="GridMemberPrice1" Visible="false">
                                            <ItemTemplate>
                                                <asp:Label ID="lblMemberPrice1" runat="server" />
                                            </ItemTemplate>      
                                        </asp:TemplateField>
                                         <asp:TemplateField HeaderText="GridBuy" ItemStyle-HorizontalAlign="Center" HeaderStyle-HorizontalAlign="Center" ItemStyle-CssClass="VariantGridCells1" HeaderStyle-CssClass="VariantGridCells">
                                            <ItemTemplate>
                                                <asp:TextBox ID="txtQty" runat="server" Width="40" />
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                    </Columns>
                                </asp:GridView>
                        </td>
                   </tr>

                    <tr runat="server" id="trQuantity">
                        <td><asp:Label runat="server" ID="lblQuantity" resourcekey="lblQuantity" CssClass="SmithProdText"/>&nbsp;&nbsp;                           
                       <%-- <td><asp:TextBox runat="server" ID="txtQuantity" MaxLength="6" CssClass="SmithProdText" Width="40px" OnTextChanged="txtQuantity_TextChanged" AutoPostBack="true">1</asp:TextBox></td>--%>
                        <asp:TextBox runat="server" ID="txtQuantity" MaxLength="6" CssClass="SmithProdText" Width="40px">1</asp:TextBox></td>
                    </tr>
                    
                    <tr runat="server" id="trMinOrderQtyMsg" visible="false">
                        <td align="left" colspan="2"><asp:Label runat="server" ID="lblMinOrderQtyMsg" CssClass="SmithRequiredText" /></td>
                    </tr>
                    
					          <tr><td style="height:5"></td></tr>
					
					          <tr runat="server" id="trPDLBLabel">
                        <td align="left" colspan="2"><asp:Label runat="server" ID="lblPDLBLabel" CssClass="SmithProdText" /></td>
                    </tr>
                    
                    <tr runat="server" id="trPDLB" visible="false">
                        <td colspan="2"><asp:TextBox ID="txtPDLBText" runat="server" TextMode="MultiLine" Height="150px" Width="254px"/></td>
                    </tr>
                    
                    <tr runat="server" id="trPDSpacer"><td></td></tr>

                    <tr runat="server" id="trPDTB" visible="false">
                        <td align="left" colspan="2">
                            <asp:Label runat="server" ID="lblPDTBLabel" CssClass="SmithProdText" />&nbsp;&nbsp;
                            <asp:TextBox ID="txtPDTB" runat="server" />
                            <asp:RequiredFieldValidator ID="rfvtxtPDTB" runat="server" Enabled="false" ControlToValidate="txtPDTB"  Display="Dynamic" ErrorMessage="*Required"/>
                        </td>
                    </tr>

                   <%--Add to Cart Buttons--%>
                    <tr>
                        <td colspan="2">
                            <div id="ibAddtoCartContainer" runat="server" visible="true" >
                                <div class="b_left">&nbsp;</div>
                                <div class="b_center">&nbsp;&nbsp;<asp:LinkButton ID="ibAddtoCart" runat="server" OnClick="ibAddtoCart_Click" Text="ADD TO CART" CssClass="b_link" Font-Size="12px"/>&nbsp;&nbsp;</div>
                                <div class="b_right">&nbsp;</div>
                            </div>
                        </td>
                    </tr>

                     <tr>
                        <td colspan="2">
                             <div id="btnAddToRegistryContainer" runat="server" visible="false">
                                <div class="b_left">&nbsp;</div>
                                <div class="b_center">&nbsp;&nbsp;<asp:LinkButton ID="btnAddToRegistry" runat="server" OnClick="btnAddToRegistry_Click" Text="ADD TO REGISTRY" CssClass="b_link" Font-Size="12px"/>&nbsp;&nbsp;</div>
                                <div class="b_right">&nbsp;</div>
                            </div>
                             <div id="btnRemoveItemContainer" runat="server" visible="false" style="float:left;">
                                <div class="b_left">&nbsp;</div>
                                <div class="b_center">&nbsp;&nbsp;<asp:LinkButton ID="btnRemoveItem" runat="server" OnClick="btnRemoveItem_Click" Text="REMOVE ITEM" CssClass="b_link" resourcekey="btnRemoveItem.Text" Font-Size="12px"/>&nbsp;&nbsp;</div>
                                <div class="b_right">&nbsp;</div>
                            </div>
                             <div id="btnAddToWishlistContainer" runat="server" visible="false" style="float:left;">
                                &nbsp;&nbsp;&nbsp;&nbsp;
                                <asp:LinkButton ID="btnAddToWishlist" runat="server" OnClick="btnAddToWishlist_Click" Text="ADD TO WISHLIST" resourcekey="btnAddToWishlist.Text" Font-Size="12px"/>
                            </div>
                        </td>
                    </tr>

                    <%--Quantity Discount Grid--%>
                    <tr runat="server" id="trQtyDiscounts" visible="false">
                        <td colspan="2"><asp:PlaceHolder ID="phQtyDiscounts" runat="server"/></td>
                    </tr>

                    <%--Edit Product Pencil--%>
                    <tr runat="server" id="trEditProduct" visible="false">
                        <td><asp:ImageButton ID="ibEditProduct" runat="server" ImageUrl="~/DesktopModules/Smith.BuyNow/Images/pencil.png" OnClick="ibEditProduct_Click" resourcekey="ibEditProduct" CausesValidation="false" /></td>
                    </tr>

             </table>
        </td>
        
        </ContentTemplate>
             <%--<Triggers>
                <asp:AsyncPostBackTrigger ControlID="txtQuantity" EventName="TextChanged" />
            </Triggers>--%>
        </asp:UpdatePanel>

    </tr>
</table>

</div><br />
	
<%--Image Gallery Section--%>
<table> 
   <tr runat="server" id="trZoomGallery" visible="false">
        <td width="20px"></td>
        <td>
            <asp:ImageButton ID="ibZoomPic1" runat="server" Visible="false" OnClientClick="return SwapImage(1);" CausesValidation="false" />
            <asp:ImageButton ID="ibZoomPic2" runat="server" Visible="false" OnClientClick="return SwapImage(2);" CausesValidation="false" />
            <asp:ImageButton ID="ibZoomPic3" runat="server" Visible="false" OnClientClick="return SwapImage(3);" CausesValidation="false" />
            <asp:ImageButton ID="ibZoomPic4" runat="server" Visible="false" OnClientClick="return SwapImage(4);" CausesValidation="false" />
            <asp:ImageButton ID="ibZoomPic5" runat="server" Visible="false" OnClientClick="return SwapImage(5);" CausesValidation="false" />
            <asp:ImageButton ID="ibZoomPic6" runat="server" Visible="false" OnClientClick="return SwapImage(6);" CausesValidation="false" />  
        </td> 
    </tr>
    
    <tr runat="server" id="trLightBoxGallery" visible="false">
        <td width="20px"></td>
        <td>
            <a runat="server" id="myPicURL1" rel="group" class="gallery" visible="false"><img runat="server" id="myPic1" alt="" border="0" src="" visible="false" /></a>&nbsp;&nbsp;
            <a runat="server" id="myPicURL2" rel="group" class="gallery" visible="false"><img runat="server" id="myPic2" alt="" border="0" src="" visible="false"/></a>&nbsp;&nbsp;
            <a runat="server" id="myPicURL3" rel="group" class="gallery" visible="false"><img runat="server" id="myPic3" alt="" border="0" src="" visible="false"/></a>&nbsp;&nbsp;
            <a runat="server" id="myPicURL4" rel="group" class="gallery" visible="false"><img runat="server" id="myPic4" alt="" border="0" src="" visible="false"/></a>&nbsp;&nbsp;
            <a runat="server" id="myPicURL5" rel="group" class="gallery" visible="false"><img runat="server" id="myPic5" alt="" border="0" src="" visible="false"/></a>
        </td> 
    </tr>
    
    <tr><td style="height:30"></td></tr>
    
</table>


<div class="PDNavMenu">
  <div class="PDNavLeft">
        <div class="b_left">&nbsp;</div>
        <div class="b_center">&nbsp;&nbsp;<asp:LinkButton ID="btnBack" runat="server" onclick="btnBack_Click" Text="CONTINUE SHOPPING" CssClass="b_link" CausesValidation="False" resourcekey="btnBack.Text" Font-Size="12px"/>&nbsp;&nbsp;</div>
        <div class="b_right">&nbsp;</div>
  </div>
  <div id="ibViewCart" runat="server" class="PDNavRight">
        <div class="b_left">&nbsp;</div>
        <div class="b_center">&nbsp;&nbsp;<asp:LinkButton ID="btnViewCart" runat="server" onclick="btnViewCart_Click" Text="VIEW CART" CssClass="b_link" CausesValidation="False" resourcekey="btnViewCart.Text" Font-Size="12px"/>&nbsp;&nbsp;</div>
        <div class="b_right">&nbsp;</div>
  </div>
</div>

